#ifndef _QTREE_HH
#define _QTREE_HH
/**
 * @file QTree.hh
 * @class QTree
 * @brief TTree used in diana
 * @author Marco Vignati
 *
 * This class behaves exactly as a TTree and must be used in place
 * of TTree in diana I/O. It is provided to host future implementations
 * of additional functionalities. To Load a QTree from a file, it is
 * recommended to use QChain, so that the QTree friends are loaded automatically.
 *
 */
#include "QBaseTree.hh"

class QBaseEventR;

class QTree : public QBaseTree {
	public:
		QTree();
		QTree(const char* title);
		virtual ~QTree();

	private:
		ClassDef(QTree,3);
};

#endif

