#include "QTreeInfo.hh"
#include <iostream>

ClassImp(QTreeInfo);

QTreeInfo::QTreeInfo()
{
    fType = 0;
    fSoftwareRevision = "";
    fVersionTag = "0";
    fExtSWVersion.clear();
}

void QTreeInfo::PrintVersions()
{
    std::cout<<"DIANA_SWREVISION: "<<fSoftwareRevision<<std::endl;
    std::cout<<"DIANA_VERSIONTAG: "<<fVersionTag<<std::endl;
    std::map<std::string,std::string> ::const_iterator iter = fExtSWVersion.begin();
    while(iter != fExtSWVersion.end()) 
    {
        std::cout<<iter->first<<": "<<iter->second<<std::endl;
        iter++;
    }
}
