#include "QTree.hh"
#include "TRegexp.h"
#include "TList.h"
#include "TBuffer.h"
#include <iostream>
#include <set>

ClassImp(QTree);

//_____________________________________________________________________
QTree::QTree() 
{
}

//_____________________________________________________________________
QTree::QTree(const char* title): QBaseTree(QTREE, title) 
{
}

//_____________________________________________________________________
QTree::~QTree() 
{
}

void QTree::Streamer(TBuffer &R__b) { 

    if (R__b.IsReading()) {    
        UInt_t R__s, R__c; 
        Version_t R__v = R__b.ReadVersion(&R__s, &R__c); 
        if(R__v < 3) {
            QBaseTree::Streamer(R__b);
            TString s;
            R__b>>s;
            GetTreeInfo().fSoftwareRevision = s;
        } else {
            R__b.ReadClassBuffer(QTree::Class(), this, R__v , R__s, R__c);
        }
    } else { 
        QTree::Class()->WriteBuffer(R__b, this);   
    } 
} 
